Bug 229026 - devel/tcl-trf: Fails to build with OpenSSL 1.1
Summary: devel/tcl-trf: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-14 20:14 UTC by Bernard Spil
Modified: 2018-11-01 18:20 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-14 20:14:45 UTC
./generic/sha.c:56:18: error: use of undeclared identifier 'SHA_Init'
Comment 1 Bernard Spil freebsd_committer 2018-06-14 20:15:25 UTC
During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. The intent to update OpenSSL to 1.1 in 12 has now officially been documented in Bug #228912 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/tcl-Trf-2.1.4_1.log

Looks like it's using SHA-0? That's never been a standard...
Comment 2 commit-hook freebsd_committer 2018-10-21 05:13:56 UTC
A commit references this bug:

Author: mi
Date: Sun Oct 21 05:13:14 UTC 2018
New revision: 482639
URL: https://svnweb.freebsd.org/changeset/ports/482639

Log:
  Stop chasing the whims of OpenSSL and use our own -lmd
  as the source of various digest-algorithms. Years ago,
  when I was undertaking the replacement of the bundled
  implementations with those found in the base system, it
  seemed like OpenSSL will be more stable... Ha-ha.

  Fix the WWW, while I'm here.

  PR:		229026
  Submitted by:	brnrd
  Reported by:	Package Fallout

Changes:
  head/devel/tcl-trf/Makefile
  head/devel/tcl-trf/files/patch-Makefile
  head/devel/tcl-trf/files/patch-md5dig
  head/devel/tcl-trf/files/patch-rmd160
  head/devel/tcl-trf/files/patch-sha
  head/devel/tcl-trf/files/patch-sha1
  head/devel/tcl-trf/files/patch-zlib
  head/devel/tcl-trf/pkg-descr
Comment 3 Mikhail Teterin freebsd_committer 2018-10-21 05:22:08 UTC
devel/tcl-trf no longer uses OpenSSL at all.
Comment 4 commit-hook freebsd_committer 2018-11-01 18:20:08 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov  1 18:19:11 UTC 2018
New revision: 483699
URL: https://svnweb.freebsd.org/changeset/ports/483699

Log:
  MFH: r482639

  Stop chasing the whims of OpenSSL and use our own -lmd
  as the source of various digest-algorithms. Years ago,
  when I was undertaking the replacement of the bundled
  implementations with those found in the base system, it
  seemed like OpenSSL will be more stable... Ha-ha.

  Fix the WWW, while I'm here.

  PR:		229026
  Submitted by:	brnrd
  Reported by:	Package Fallout

Changes:
_U  branches/2018Q4/
  branches/2018Q4/devel/tcl-trf/Makefile
  branches/2018Q4/devel/tcl-trf/files/patch-Makefile
  branches/2018Q4/devel/tcl-trf/files/patch-md5dig
  branches/2018Q4/devel/tcl-trf/files/patch-rmd160
  branches/2018Q4/devel/tcl-trf/files/patch-sha
  branches/2018Q4/devel/tcl-trf/files/patch-sha1
  branches/2018Q4/devel/tcl-trf/files/patch-zlib
  branches/2018Q4/devel/tcl-trf/pkg-descr